#if defined _objective_reset_included
	#endinput
#endif
#define _objective_reset_included

enum
{
	Obj_InvalidObjective,
	Obj_ResetTimer,
	Obj_ResetBomb,
	Obj_ResetVip,
	Obj_ResetHostages,
	Obj_ResetEscape,
	Obj_DetectObjective
}

/**
    *  Reset the current objective(for objective index see the above enum)
    *
    *  @param Objective     The objective to restart.
    *  @return              1 if operation was succesfull, 0 otherwise
*/
native ResetObjective(Objective)

/**
    *  Alter the round time value.
    *
    *  @param Time    The time that will be used.
	*  @param Add     If 1 the time will be added to current time, 0 means set.
    *  @return        1 if operation was succesfull, 0 otherwise
*/
native SetRoundTime(const Time, const Add)

/**
    *  Return the value of round time/freeze time in seconds
    *
    *  @param 		No params
    *  @return     	Round time in seconds or -1 on failure        
*/
native GetRoundTime()

/**
		*  Send when an objective was resetted
		*
		*  @param Objective      The objective that was resetted.
		*  @return			  Forward does not care about the return value
*/
forward OnObjectiveReset(const Objective)

/**
		*  Send when time is changed.
		*
		*  @param TimeType            1 if in freezetime, 0 otherwise
		*  @param OldRoundTime        The round time before change occured.
		*  @param NewRoundTime        The round time after change occured.
		*  @param RemainedTime        The remained time from the round.
		*  @return			       Forward does not care about the return value
*/
forward OnRoundTimeChanged(const TimeType, const OldRoundTime, const NewRoundTime, const RemainedTime)